package db.mapper;

import db.entity.LogFileMeta;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

import java.util.List;

@Mapper
public interface LogFileMetaMapper {

    @Insert("insert into log_file_meta(id,file_name,min_time,max_time,count,valid)values(#{id},#{fileName}," +
            "#{minTime},#{maxTime},#{count},#{valid})")
    public int insert(LogFileMeta logFileMeta);

    @Update("update log_file_meta set file_name = #{fileName}, min_time = #{minTime}, max_time = #{maxTime}," +
            "count = #{count}, valid = #{valid} where id = #{id}")
    public int update(LogFileMeta logFileMeta);

    @Select("select * from log_file_meta")
    public List<LogFileMeta> getLogFileMeta();

    @Select("select * from log_file_meta where not (min_time > #{arg1} or max_time < #{arg0})")
    public List<LogFileMeta> getLogFileMetaBetweenTime(long start, long end);

    @Select("select * from log_file_meta order by id desc limit 1")
    public LogFileMeta getLastLogFileMeta();

    @Select("select * from log_file_meta where id = #{id}")
    public LogFileMeta getLogFileMetaById(long id);

}
