package db.controller;

import db.service.ProbeService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
@Slf4j
@RequestMapping("/manage")
public class ProbeController {

    @Autowired
    private ProbeService probeService;

    @RequestMapping("/listen")
    public String listenConfig(@RequestParam String type, @RequestParam String mode) {

        log.info("收到监听请求，type={}，mode={}", type, mode);

        probeService.listenConfig(type, mode);

        return "成功";
    }

    @RequestMapping("/scan")
    public String scanProbes() {
        log.info("==> [api扫描探针] 收到扫描请求");

        probeService.scanProbes();

        String res = "已发送扫描请求";
        log.info("<== [api扫描探针] {}", res);
        return res;
    }
    @RequestMapping("/unlisten")
    public String unlisten(@RequestParam String probeIP) {
        log.info("==> [api取消数据监听] 收到请求");

        probeService.sendUnListenPackage(probeIP);

        String res = "已发送取消数据监听";
        log.info("<== [api取消数据监听] {}", res);
        return res;
    }

    @RequestMapping("/probe")
    public String queryProbes() {
        log.info("==> [api查看探针] 收到查看探针请求");

        String res = probeService.queryProbes();

        log.info("<== [api查看探针] {}", res);
        return res;
    }
}
