package db.controller;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.ObjectMapper;
import db.service.QueryService;
import db.util.ConvertUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@RestController
@Slf4j
public class QueryController {

    @Autowired
    private QueryService queryService;

    @RequestMapping("/query")
    public String query(@RequestParam String start, @RequestParam String end,
                        @RequestParam Map<String, String> map)
            throws JsonProcessingException {
        try {

            map.remove("start");
            map.remove("end");

            List<byte[]> queryRes;
            List<String> res = new ArrayList<>();
            if (map.keySet().size() == 0) {
                queryRes = queryService.queryByTime(start, end);
            } else {
                queryRes = queryService.queryByTimeAndCondition(start, end, map);
            }

            for(byte[] data: queryRes){
                res.add(ConvertUtils.bytes2HexArray(data));
            }
            
            ObjectMapper objectMapper = new ObjectMapper();

            return objectMapper.writeValueAsString(res);
        } catch (Exception e) {
            log.error("query出现错误", e);
            return "出错";
        }
    }
}
