package db;

import db.service.QueryService;
import db.util.ConvertUtils;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.io.IOException;
import java.text.ParseException;
import java.util.HashMap;
import java.util.List;

@SpringBootTest
@Slf4j
@RunWith(SpringRunner.class)
public class QueryTest {

    @Autowired
    private QueryService queryService;

    @Test
    public void queryByTimeAndConditionTest() throws ParseException, IOException {
        String start = "2022-10-27 10:00:00";
        String end = "2022-12-27 00:00:01";
        HashMap<String, String> tags = new HashMap<>();
//        tags.put("pointName", "pointName_test111");
//        tags.put("status", "3");
        log.debug("---queryByTimeAndCondition---");
        queryService.queryByTimeAndCondition(start, end, tags);
    }

    @Test
    public void queryByTimeTest() throws ParseException, IOException {
        String start = "2022-10-27 10:00:00";
        String end = "2022-12-27 00:00:01";
        log.debug("---queryByTime---");
        List<byte[]> bytes = queryService.queryByTime(start, end);
        for (int i = 0; i < bytes.size(); i++) {
            log.info("{}: get:{}", i, ConvertUtils.bytes2HexArray(bytes.get(i)));
        }


    }
}
